@charset "UTF-8";
/*
Copyright inpleworks, Co.
XET CSS v2.0.4 2024-08-02 for supported in all modern browsers
By xetemplate(https://xetemplate.com)
*/
/* ------------------------------------------------------------------------------------------------------------------ */
/* Dropdown (셀렉트박스 커스텀 + _common.js)
/* ------------------------------------------------------------------------------------------------------------------ */
.dropdown {
  position: relative;
  display: inline-block;
  min-width: 130px;
  /* Hover */
  /* Click to Open */
  /* disabled */
}
.dropdown .dropdown-toggle {
  position: relative;
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  padding: 0 30px 0 10px;
  width: 100%;
  height: var(--xet-theme-input-height);
  border: 1px solid var(--xet-theme-input-border-color);
  color: var(--xet-theme-text-strong-color);
}
.dropdown .dropdown-toggle::after {
  content: "";
  position: absolute;
  top: calc(50% - 8px);
  right: 10px;
  display: inline-block;
  width: 8px;
  height: 8px;
  border: solid var(--xet-theme-text-base-color);
  border-width: 0 1px 1px 0;
  transform: rotate(45deg);
}
.dropdown ul.dropdown-menu {
  list-style: none;
  margin: 0;
  padding: 0;
  z-index: 3;
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  margin-top: -1px;
  opacity: 0;
  visibility: hidden;
  transform: translateY(-10px);
  border: 1px solid var(--xet-theme-input-border-color);
  background-color: var(--xet-theme-content-bg-color);
}
.dropdown ul.dropdown-menu > li {
  display: block;
}
.dropdown ul.dropdown-menu > li > a {
  display: flex;
  align-items: center;
  text-decoration: none;
  white-space: nowrap;
  padding: 8px 10px;
  color: var(--xet-theme-text-strong-color);
}
.dropdown ul.dropdown-menu > li:hover > a {
  color: var(--xet-theme-color) !important;
}
.dropdown:not(.dropdown-disabled) .dropdown-toggle.open {
  background-color: var(--xet-theme-content-bg-color);
  border-color: var(--xet-theme-focus-border-color);
}
.dropdown:not(.dropdown-disabled) .dropdown-toggle.open::after {
  transform: rotate(-135deg);
  top: calc(50% - 4px);
}
.dropdown:not(.dropdown-disabled) ul.dropdown-menu.open {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
  transition: all 0.2s;
  border-color: var(--xet-theme-focus-border-color);
}
.dropdown.dropdown-disabled .dropdown-toggle {
  background-color: var(--xet-theme-disabled-bg-color) !important;
  color: var(--xet-theme-disabled-color) !important;
}
.dropdown.dropdown-disabled .dropdown-toggle::after {
  border-color: var(--xet-theme-disabled-color) !important;
}

@media (max-width: 575px) {
  .xet-table-scroll,
.xet-table-responsive {
    margin: 0;
    padding: 0;
    overflow-x: scroll;
    -webkit-overflow-scrolling: touch;
  }
}